Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.helper
Class CommercePropertiesHelper

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.bea.p13n.util.TypedProperties
                      com.beasys.commerce.axiom.util.helper.CommercePropertiesHelper

All Implemented Interfaces
  Serializable, Cloneable, Map<Object,Object>

Deprecated Use weblogic mBeans for configuration

    @Deprecated
    public class CommercePropertiesHelper

extends com.bea.p13n.util.TypedProperties

Subclass of the typed properties class, that will return properties as longs, strings, double, etc. Also implements a way to find keys that start with a value. e.g. find me all of the keys that start with personalization.portal.

See Also
  Serialized Form

Field Summary
`static String` | `SYSTEM_PROPERTY_KEY` Deprecated See BEA Commerce product offering

Fields inherited from class com.bea.p13n.util.TypedProperties
`ARRAY_DELIMITER_DEFAULT, BOOLEAN_DEFAULT, BOOLEAN_FALSE_VALUES, BOOLEAN_TRUE_VALUES, DOUBLE_DEFAULT, FLOAT_DEFAULT, HEX_DEFAULT, INT_DEFAULT, LONG_DEFAULT, MERGE_ARRAY_DELIMITER_DEFAULT, STRING_ARRAY_DEFAULT, STRING_DEFAULT`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`CommercePropertiesHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static CommercePropertiesHelper` | `getInstance()` Deprecated See BEA Commerce product offering
`String[]` | `getKeysFor(String startsWith)` Deprecated See BEA Commerce product offering
`void` | `load()` Deprecated See BEA Commerce product offering
`static void` | `main(String[] args)` Deprecated See BEA Commerce product offering

Methods inherited from class com.bea.p13n.util.TypedProperties
`getPropertyAsArray, getPropertyAsArray, getPropertyAsArray, getPropertyAsArray, getPropertyAsBool, getPropertyAsBool, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsFloat, getPropertyAsHexInt, getPropertyAsHexInt, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, load, load, load, load, subsetProperties`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SYSTEM_PROPERTY_KEY

    public static final String SYSTEM_PROPERTY_KEY

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### CommercePropertiesHelper

    public CommercePropertiesHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### getInstance

    public static CommercePropertiesHelper getInstance()

  Deprecated See BEA Commerce product offering

  Get the singleton instance.

  Returns
    `CommercePropertiesHelper`

### load

    public void load()
              throws IOException

  Deprecated See BEA Commerce product offering

  Load. You may also use this if you change the properties file and you don't want to restart the server.

  Throws
    `IOException`

### getKeysFor

    public String[] getKeysFor(String startsWith)

  Deprecated See BEA Commerce product offering

  Get all of the keys for the properties table that start with the given string. e.g. getKeysFor("personalization.portal") would return "personalization.portal.backgroundColor", "personalization.portal.foregroundColor", etc.

  Parameters
    `startsWith` -
  Returns
    `String[]`

### main

    public static void main(String[] args)

  Deprecated See BEA Commerce product offering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved